#include <Item/INuclearReactorComponent.hpp>

void INuclearReactorComponent::onOverheating(ItemStack &stack, MNuclearReactor &reactor, glm::ivec2 pos)
{
    // NOP
}

glm::vec4 INuclearReactorComponent::getNuclearReactorSlotHighlight(ItemStack &stack, NuclearReactorController &ctrl, glm::ivec2 pos)
{
    return glm::vec4(0.0f);
}